View Issue Details

IDProjectCategoryView StatusLast Update
08749Bug reportsSurvey takingpublic2014-02-26 13:32
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Target Version2.05+Fixed in Version2.05+ 
Summary08749: Attribute time_limit broken (with action : move without warning)
Description

If timer is set and action is move without warning 2 : submit without next.

Steps To Reproduce

Include lss file

Additional Information

I do a quick fix for 2.05 and put a Dev for 2.06

Use jquery and $("#defaultbtn").click();

TagsNo tags attached.
Complete LimeSurvey version number (& build)140222
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

parent of 08750 new Development  Timer attribute : need to move to external js and css for default 
Not all the children of this issue are yet resolved or closed.

Activities

DenisChenu

DenisChenu

2014-02-22 11:10

developer  

DenisChenu

DenisChenu

2014-02-24 15:39

developer   ~28892

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13926

c_schmitz

c_schmitz

2014-02-26 13:32

administrator   ~28939

2.05+ Build 140226 released

Related Changesets

LimeSurvey: master f479a4c3

2014-02-24 14:39:17

DenisChenu

Details Diff
Fixed issue 08749: Attribute time_limit broken (with action : move without warning)
Dev: TODO : move whole system to extrenal javascript (see 08750)
Affected Issues
08749, 08816
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2014-02-22 11:10 DenisChenu New Issue
2014-02-22 11:10 DenisChenu Status new => assigned
2014-02-22 11:10 DenisChenu Assigned To => DenisChenu
2014-02-22 11:10 DenisChenu File Added: limesurvey_survey_timer.lss
2014-02-22 11:13 DenisChenu Relationship added parent of 08750
2014-02-24 15:39 DenisChenu Changeset attached => LimeSurvey master f479a4c3
2014-02-24 15:39 DenisChenu Note Added: 28892
2014-02-24 15:39 DenisChenu Resolution open => fixed
2014-02-24 15:39 DenisChenu Status assigned => resolved
2014-02-24 15:39 DenisChenu Fixed in Version => 2.05+
2014-02-26 13:32 c_schmitz Note Added: 28939
2014-02-26 13:32 c_schmitz Status resolved => closed